﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
// Add the PDF Writer API
using pdf7.PdfWriter;

namespace PrintPptx
{
    class Program
    {
        static void Main()
        {
            // Get the name of the printer
            string printerName = PdfUtil.DefaultPrinterName;

            // Set printer settings for next print job
            // More settings are available at:
            // https://www.7-pdf.com/products/pdf-printer/documentation/settings

            PdfSettings settings = new PdfSettings();
            settings.PrinterName = printerName;
            settings.SetValue("Output", @"C:\Temp\test.pdf");
            settings.SetValue("ShowSettings", "never");
            settings.SetValue("ShowSaveAs", "never");
            settings.SetValue("ShowPDF", "yes");
            settings.SetValue("ConfirmOverwrite", "no");
            settings.SetValue("RememberLastFileName", "no");
            settings.SetValue("RememberLastFolderName", "no");
            settings.SetValue("SuppressErrors", "yes");
            settings.WriteSettings(PdfSettingsFileType.RunOnce);

            // Print pptx file requires that Microsoft Powerpoint is installed
            PdfUtil.PrintFile(@"C:\Temp\test.pptx", printerName);
        }
    }
}
